#import "fontawesome.typ": fa, globe, github, linkedin, envelope
#import "lib.typ": template, work_entry, project, indent, SMALL_STRONG, DEFAULT_STRONG, render_contact_data

#let SEQUENCE = ("education", "content", "skills")

// orange!!
#let color = blue // rgb("#ff983e")
#let name = "Daniel Chen"

#let contact_data = ((
  service: fa[#globe],
  display: "eggworld.me",
  link: "https://eggworld.me",
), (
  service: fa[#github],
  display: "github.com/potatoeggy",
  link: "https://github.com/potatoeggy",
), (
  service: fa[#linkedin],
  display: "linkedin.com/in/potatoeggy",
  link: "https://www.linkedin.com/in/potatoeggy/",
), (
  service: fa[#envelope],
  display: "d7chen@uwaterloo.ca",
  link: "mailto://d7chen@uwaterloo.ca",
),)

#show: doc => template(name, color, doc)

#let template_common(education, skills, doc) = {
  template(name, color, {
    render_contact_data(contact_data)

    SEQUENCE.map(section => {
      if section == "education" [
        = Education
        #education
      ] else if section == "skills" [
        = Technical Skills
        #skills
      ] else if section == "content" [
        #doc
      ]
    }).join()
  })
}